Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class UserProfileAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.UserProfileAdmin

    public class UserProfileAdmin

extends java.lang.Object

The `UserProfileAdmin.java` class - colleciton of UserProfile admin tasks test.

Field Summary
`protected AdminManager` | `m_Main`
`protected java.util.Hashtable` | `m_userProfileTable`

Constructor Summary
`UserProfileAdmin(AdminManager main)` The only constructor that is being used.

Method Summary
`UserProfile` | `createUserProfile(LibrarySession sess, ParameterTable params)` Section variant of Create UserProfile
`UserProfile` | `createUserProfile(LibrarySession sess, java.lang.String idname, java.lang.String nameToken)` inline variant of Create UserProfile
`UserProfile` | `createUserProfile(LibrarySession sess, java.lang.String idname, UserProfileDefinition def)` internal variant of Create UserProfile
`UserProfile` | `createUserProfile(LibrarySession sess, java.lang.String idname, UserProfileDefinition def, VersionDescriptionDefinition vddef)` internal variant of VERSIONED Create UserProfile
`void` | `deleteUserProfile(LibrarySession sess, ParameterTable params)` Section variant of delete UserProfile
`void` | `deleteUserProfile(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Delete UserProfile
`void` | `deleteUserProfile(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Delete UserProfile
`void` | `freeUserProfile(LibrarySession sess, ParameterTable params)` Section variant of Free UserProfile
`void` | `freeUserProfile(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Free UserProfile
`UserProfile` | `identifyUserProfile(LibrarySession sess, ParameterTable params)` Section variant of Identify UserProfile
`UserProfile` | `identifyUserProfile(LibrarySession sess, java.lang.String idname, java.lang.Long id, java.lang.String name, java.lang.String valueDefaultName, java.lang.String path)` Inline/internal variant of Identify UserProfile
`UserProfile` | `lookupUserProfile(java.lang.String idname)`
`void` | `modifyUserProfile(LibrarySession sess, ParameterTable params)` Section variant of Modify UserProfile
`void` | `modifyUserProfile(LibrarySession sess, java.lang.String idname, UserProfileDefinition def)` internal variant of Modify UserProfile
`protected void` | `setDefaultAcl(LibrarySession sess, UserProfile userProfile, ParameterTable params)`
`void` | `showUserProfile(LibrarySession sess, ParameterTable params)` Section variant of showUserProfile
`void` | `showUserProfile(LibrarySession sess, java.lang.String userProfilename)` Inline/internal variant of showUserProfile
`void` | `showUserProfile(LibrarySession sess, UserProfile userProfile)`
`void` | `undeleteUserProfile(LibrarySession sess, ParameterTable params)` Section variant of undelete UserProfile
`void` | `undeleteUserProfile(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Undelete UserProfile
`void` | `undeleteUserProfile(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Undelete UserProfile
`void` | `unidentifyUserProfile(LibrarySession sess, ParameterTable params)` Section variant of Unidentify UserProfile

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

### m_userProfileTable

    protected java.util.Hashtable m_userProfileTable

Constructor Detail

### UserProfileAdmin

    public UserProfileAdmin(AdminManager main)

  The only constructor that is being used.

  Parameters:
    `main` - Reference to AdminManager which invokes this.

Method Detail

### createUserProfile

    public UserProfile createUserProfile(LibrarySession sess,
                                         ParameterTable params)
                                  throws IfsException

  Description copied from class: `UserProfileAdmin`
  Section variant of Create UserProfile

  Throws:
    `IfsException`

### createUserProfile

    public UserProfile createUserProfile(LibrarySession sess,
                                         java.lang.String idname,
                                         java.lang.String nameToken)
                                  throws IfsException

  Description copied from class: `UserProfileAdmin`
  inline variant of Create UserProfile

  Throws:
    `IfsException`

### createUserProfile

    public UserProfile createUserProfile(LibrarySession sess,
                                         java.lang.String idname,
                                         UserProfileDefinition def)
                                  throws IfsException

  Description copied from class: `UserProfileAdmin`
  internal variant of Create UserProfile

  Throws:
    `IfsException`

### createUserProfile

    public UserProfile createUserProfile(LibrarySession sess,
                                         java.lang.String idname,
                                         UserProfileDefinition def,
                                         VersionDescriptionDefinition vddef)
                                  throws IfsException

  Description copied from class: `UserProfileAdmin`
  internal variant of VERSIONED Create UserProfile

  Throws:
    `IfsException`

### modifyUserProfile

    public void modifyUserProfile(LibrarySession sess,
                                  ParameterTable params)
                           throws IfsException

  Description copied from class: `UserProfileAdmin`
  Section variant of Modify UserProfile

  Throws:
    `IfsException`

### modifyUserProfile

    public void modifyUserProfile(LibrarySession sess,
                                  java.lang.String idname,
                                  UserProfileDefinition def)
                           throws IfsException

  Description copied from class: `UserProfileAdmin`
  internal variant of Modify UserProfile

  Throws:
    `IfsException`

### freeUserProfile

    public void freeUserProfile(LibrarySession sess,
                                ParameterTable params)
                         throws IfsException

  Description copied from class: `UserProfileAdmin`
  Section variant of Free UserProfile

  Throws:
    `IfsException`

### freeUserProfile

    public void freeUserProfile(LibrarySession sess,
                                java.lang.String idname)
                         throws IfsException

  Description copied from class: `UserProfileAdmin`
  Inline/internal variant of Free UserProfile

  Throws:
    `IfsException`

### deleteUserProfile

    public void deleteUserProfile(LibrarySession sess,
                                  ParameterTable params)
                           throws IfsException

  Description copied from class: `UserProfileAdmin`
  Section variant of delete UserProfile

  Throws:
    `IfsException`

### deleteUserProfile

    public void deleteUserProfile(LibrarySession sess,
                                  java.lang.String idname)
                           throws IfsException

  Description copied from class: `UserProfileAdmin`
  Inline/internal variant of Delete UserProfile

  Throws:
    `IfsException`

### deleteUserProfile

    public void deleteUserProfile(LibrarySession sess,
                                  java.lang.String idname,
                                  LibraryObjectDefinition def)
                           throws IfsException

  Description copied from class: `UserProfileAdmin`
  Inline/internal variant of Delete UserProfile

  Throws:
    `IfsException`

### undeleteUserProfile

    public void undeleteUserProfile(LibrarySession sess,
                                    ParameterTable params)
                             throws IfsException

  Description copied from class: `UserProfileAdmin`
  Section variant of undelete UserProfile

  Throws:
    `IfsException`

### undeleteUserProfile

    public void undeleteUserProfile(LibrarySession sess,
                                    java.lang.String idname)
                             throws IfsException

  Description copied from class: `UserProfileAdmin`
  Inline/internal variant of Undelete UserProfile

  Throws:
    `IfsException`

### undeleteUserProfile

    public void undeleteUserProfile(LibrarySession sess,
                                    java.lang.String idname,
                                    LibraryObjectDefinition def)
                             throws IfsException

  Description copied from class: `UserProfileAdmin`
  Inline/internal variant of Undelete UserProfile

  Throws:
    `IfsException`

### identifyUserProfile

    public UserProfile identifyUserProfile(LibrarySession sess,
                                           ParameterTable params)
                                    throws IfsException

  Description copied from class: `UserProfileAdmin`
  Section variant of Identify UserProfile

  Throws:
    `IfsException`

### identifyUserProfile

    public UserProfile identifyUserProfile(LibrarySession sess,
                                           java.lang.String idname,
                                           java.lang.Long id,
                                           java.lang.String name,
                                           java.lang.String valueDefaultName,
                                           java.lang.String path)
                                    throws IfsException

  Description copied from class: `UserProfileAdmin`
  Inline/internal variant of Identify UserProfile

  Throws:
    `IfsException`

### unidentifyUserProfile

    public void unidentifyUserProfile(LibrarySession sess,
                                      ParameterTable params)
                               throws IfsException

  Description copied from class: `UserProfileAdmin`
  Section variant of Unidentify UserProfile

  Throws:
    `IfsException`

### showUserProfile

    public void showUserProfile(LibrarySession sess,
                                ParameterTable params)
                         throws IfsException

  Description copied from class: `UserProfileAdmin`
  Section variant of showUserProfile

  Throws:
    `IfsException`

### showUserProfile

    public void showUserProfile(LibrarySession sess,
                                java.lang.String userProfilename)
                         throws IfsException

  Description copied from class: `UserProfileAdmin`
  Inline/internal variant of showUserProfile

  Throws:
    `IfsException`

### lookupUserProfile

    public UserProfile lookupUserProfile(java.lang.String idname)
                                  throws IfsException

  Throws:
    `IfsException`

### showUserProfile

    public void showUserProfile(LibrarySession sess,
                                UserProfile userProfile)
                         throws IfsException

  Throws:
    `IfsException`

### setDefaultAcl

    protected void setDefaultAcl(LibrarySession sess,
                                 UserProfile userProfile,
                                 ParameterTable params)
                          throws IfsException

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD